# AoC 2023 Day 4 (Excel & Linux)

This day targets the Linux platform. So it's basically a spinner wheel sanctioned free day.

I decided to do a LibreOffice spreadsheet for part 1 because free days are too easy ;).

Part 2 is written in Go and can only be ran on Linux, so it counts.

### Requirements:
- Part 1:
    - LibreOffice >7.0
- Part 2:
	- Go toolchain

### Usage/Building:
#### Part 1:
1. Open the spreadsheet
2. To paste your own input in the spreadsheet, first import it into LibreOffice using space delimited cells and deduplicate delimiters enabled. Copy the sections in your imported data to the appropriate section in the spreadsheet.
#### Part 2:
0. (Optional) Compile `d4p2.go`
1. Run the program specifying the input as the first command line argument. `go run d4p2.go input` or `./d4p2 input`

### FAQ:
#### 1. Spreadsheets aren't a programming language!!!!!!!!!!!!!!!!!!
That's not a question.
#### 2. Aren't you cheating by not using a non-programming language such as a spreadsheet?
Don't care.

(Besides, it was harder this way)
